﻿/**
 * Provide functionality for snippet preview seo
 */
(function($) {
	Drupal.behaviors.blaze_tech_utility = {
		attach: function(context, settings) {
			$('#edit-title', context).change(function() {
				document.getElementById("edit-seo-title").value = document.getElementById("edit-title").value;
				document.getElementById("edit-seo-description").value = document.getElementById("edit-body-und-0-summary").value;
				document.getElementById("snippet-preview-description").value = document.getElementById("edit-body-und-0-summary").value;
				document.getElementById("snippet-preview-title").value = document.getElementById("edit-title").value;
				document.getElementById("snippet-preview-url").value = document.getElementById("edit-path-alias").value;
			});
			$('#edit-title', context).keyup(function() {
				document.getElementById("edit-seo-title").value = document.getElementById("edit-title").value;
				document.getElementById("edit-seo-description").value = document.getElementById("edit-body-und-0-summary").value;
				document.getElementById("snippet-preview-description").value = document.getElementById("edit-body-und-0-summary").value;
				document.getElementById("snippet-preview-title").value = document.getElementById("edit-title").value;
				document.getElementById("snippet-preview-url").value = document.getElementById("edit-path-alias").value;
			});
		}
	};
})(jQuery);

function updateFormAlalyzer() {
	var edit_seo_title = document.getElementById("edit-seo-title");
	var remainingChars_title = 76 - edit_seo_title.value.length;
	document.getElementById("seo-title-charcount").innerHTML = "SEO Title display " + edit_seo_title.value.length + " Characters (between 40 and 76) Remaining: " + remainingChars_title;
	var edit_seo_description = document.getElementById("edit-seo-description");
	var remainingChars_description = 324 - edit_seo_description.value.length;
	document.getElementById("seo-description-charcount").innerHTML = "SEO Description display " + edit_seo_description.value.length + " Characters (recommennded between 120 and 324) Remaining: " + remainingChars_description;
	document.getElementById("snippet-preview-title").innerHTML = edit_seo_title.value;
	document.getElementById("snippet-preview-description").innerHTML = edit_seo_description.value;
}